%p= link_to image_tag('cd_edit.png', :border => 0) + ' edit this song', edit_song_path(@song), :class => 'no_underline'

%h1= @song.title
- unless @song.artist.empty?
  %h2= @song.artist

= slides_for_song @song